# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%bcond_with bootstrap

%define reltag .redhat_5
%define namedreltag -redhat-5
%global namedversion %{version}%{?namedreltag}

Name:           dom4j
Version:        1.6.1
Release:        19%{?reltag}%{?dist}
Epoch:          0
Summary:        DOM4J
License:        BSD
URL:            http://www.dom4j.org/
Group:          Development/Java
Source0:        http://downloads.sourceforge.net/project/dom4j/dom4j/1.6.1/dom4j-1.6.1.tar.gz
Source1:        dom4j_rundemo.sh
Source2:        dom4j-build.xml
Source3:        http://repo1.maven.org/maven2/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom
# http://repository.jboss.com/jboss/dom4j-jarjar/1.6.1/build/build.xml
Source5:        dom4j-jarjar-build.xml
Source9:        dom4j-jarjar.pom
Patch0:         dom4j-1.6.1-build_xml.patch
Patch1:         dom4j-1.6.1-bug1618750.patch
Patch2:         dom4j-1.6.1-endorsed-dir.patch
Patch3:         dom4j-jdk6.patch
Patch4:		dom4j-build_xml.patch
# FIXME: this patch needs some more work
Patch5:         dom4j-vman-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if 0
Requires:       xpp2 #Not in pom
Requires:       xpp3 #Optional in pom
Requires:       xerces-j2 #Scope test
Requires:       msv-core #Optional in pom
Requires:       xsdlib #Optional in pom
Requires:       relaxngDatatype #Optional in pom
Requires:       isorelax #Not in pom
Requires:       ws-jaxme #Optional in pom
Requires:       xalan-j2 #Scope test
# In jdk
#Requires:      jaxp >= 1.2
%endif
%if %with bootstrap
Requires:       jaxen-bootstrap >= 0:1.1-1
%else
%if 0
Requires:       jaxen #Optional in pom
%endif
%endif
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jarjar
BuildRequires:  commons-parent
BuildRequires:  jboss-parent
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  junit
BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  ant-apache-resolver
BuildRequires:  jtidy
BuildRequires:  junitperf
BuildRequires:  isorelax
%if %with bootstrap
BuildRequires:  jaxen-bootstrap
%else
BuildRequires:  jaxen
%endif
BuildRequires:  msv-core
BuildRequires:  relaxngDatatype
BuildRequires:  ws-jaxme
BuildRequires:  xalan-j2 >= 0:2.7
BuildRequires:  xerces-j2
BuildRequires:  jaxp = 1.2
BuildRequires:  xpp2
BuildRequires:  xpp3
BuildRequires:  xsdlib
%if %with repolib
BuildRequires:	maven2
BuildRequires:  maven2-plugin-deploy
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
dom4j is an Open Source XML framework for Java. dom4j allows you to read,
write, navigate, create and modify XML documents. dom4j integrates with 
DOM and SAX and is seamlessly integrated with full XPath support. 

Note: To use the msv JARV factory (com.sun.msv.verifier.jarv.TheFactoryImpl)
make sure isorelax.jar (from the 'isorelax' RPM) is in the ClassPath.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package jarjar
Summary:        JarJar of DOM4J for JBoss
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description jarjar
A jarjard version of dom4j that moves the classes to the
org.jboss.dom4j package space and strips the following packages:

   org.dom4j.jaxb.*
   org.dom4j.swing.*
   org.dom4j.xpath.*
   org.dom4j.xpp.*

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Samples for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

cp -p %{SOURCE3} dom4j-%{version}.pom
cp -p %{SOURCE9} dom4j-jarjar.pom

# replace run.sh
cp -p %{SOURCE1} run.sh
cp -p %{SOURCE2} build.xml

find -type f -name "*.jar" | xargs -t rm

# function matrix-concat not available
rm src/test/org/dom4j/xpath/MatrixConcatTest.java
# won't succeed in headless environment
rm src/test/org/dom4j/bean/BeansTest.java
# FIXME Bug in Xalan 2.6 -- reactivate with Xalan 2.7
#rm src/test/org/dom4j/XPathExamplesTest.java
# fix for deleted jars
# FIXME: make this a patch
mv build.xml build.xml.orig
sed -e '/unjar/d' -e 's|,cookbook/\*\*,|,|' build.xml.orig > build.xml
# FIXME: (yyang): failed in JDK6
rm src/test/org/dom4j/ThreadingTest.java
# FIXME: (yyang): failed in JDK6, maybe failed to load russArticle.xml because it's russian encoding
rm src/test/org/dom4j/io/StaxTest.java

%patch0 -p0 -b .sav0
%patch1 -p1 -b .sav1
%if 0
%patch2 -p1 -b .sav2
%endif
%patch3 -p1 -b .sav3
%patch4 -p0 -b .sav4
%patch5 -p1 -b .sav5

perl -pi -e 's/\r//g' LICENSE.txt docs/clover/*.css docs/style/*.css docs/xref/*.css docs/xref-test/*.css src/doc/style/*.css docs/benchmarks/xpath/*.java

# jarjar
cp -p %{SOURCE5} dom4j-jarjar-build.xml

pushd lib
ln -s $(build-classpath xpp2)
ln -s $(build-classpath relaxngDatatype)
pushd endorsed
ln -s $(build-classpath jaxp12) 
popd
ln -s $(build-classpath jaxmeapi) 
# FIXME: these paths will change
ln -s $(build-classpath xsdlib)
ln -s $(build-classpath msv-core)
#
ln -s $(build-classpath jaxen) 
pushd test
ln -s $(build-classpath junitperf) 
ln -s $(build-classpath junit)
popd
ln -s $(build-classpath xpp3) 
pushd tools
ln -s $(build-classpath jaxmexs) 
ln -s $(build-classpath xalan) 
ln -s $(build-classpath serializer) 
ln -s $(build-classpath jaxmejs) 
ln -s $(build-classpath jtidy) 
ln -s $(build-classpath isorelax) 
ln -s $(build-classpath jaxme2) 
ln -s $(build-classpath xercesImpl) 
popd
popd

sed -i -e 's:@@@VERSION@@@:%{version}:' -i -e 's:@@@NAMEDVERSION@@@:%{namedversion}:' build.xml
sed -i -e 's:@@@VERSION@@@:%{version}:' -i -e 's:@@@NAMEDVERSION@@@:%{namedversion}:' dom4j-jarjar-build.xml

dir=`pwd`
pushd %{_sourcedir}
%{_bindir}/zip -9 -q ${dir}/dom4j-dom4j-%{namedversion}-patches.zip *.patch
%{_bindir}/zip -9 -q ${dir}/dom4j-dom4j-%{namedversion}-sources.zip * -x \*.patch
popd

%build
export ANT_OPTS=
export CLASSPATH=
export OPT_JAR_LIST="`cat %{_sysconfdir}/ant.d/junit`"
%{ant} -Dbuild.sysclasspath=first -Dversion=%{namedversion} all samples test
export CLASSPATH=`%{_bindir}/build-classpath jarjar`
%{ant} -Dbuild.sysclasspath=first -Dversion=%{namedversion} -f dom4j-jarjar-build.xml

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
cp -p build/dom4j.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
cp -p build/dom4j-jarjar.jar %{buildroot}%{_javadir}/%{name}-jarjar-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# poms
mkdir -p %{buildroot}%{_mavenpomdir}
cp -p dom4j-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
cp -p dom4j-jarjar.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jarjar.pom

# depmaps
%add_to_maven_depmap dom4j dom4j-jarjar %{namedversion} JPP %{name}-jarjar
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jarjar
%add_to_maven_depmap dom4j dom4j %{namedversion} JPP %{name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# manual
mkdir -p %{buildroot}%{_docdir}/%{name}-%{namedversion}
cp -pr docs/* %{buildroot}%{_docdir}/%{name}-%{namedversion}
rm -r %{buildroot}%{_docdir}/%{name}-%{namedversion}/apidocs

# demo
mkdir -p %{buildroot}%{_datadir}/%{name}/classes/org/dom4j
cp -pr xml %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/src
cp -pr src/samples %{buildroot}%{_datadir}/%{name}/src
cp -pr build/classes/org/dom4j/samples %{buildroot}%{_datadir}/%{name}/classes/org/dom4j
install -p -m 0755 run.sh %{buildroot}%{_datadir}/%{name}

# repolib
%if %with repolib
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
export MAVEN_OPTS="-Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Durl=${URL}"
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-%{name}.pom -Dfile=%{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-%{name}-jarjar.pom -Dfile=%{buildroot}%{_javadir}/%{name}-jarjar-%{namedversion}.jar
%{_bindir}/mvn-jpp deploy:deploy-file -DgenertaePom=false -DgroupId=dom4j -DartifactId=dom4j -Dversion=%{namedversion} -Dclassifier=patches -Dpackaging=zip -Dfile=dom4j-dom4j-%{namedversion}-patches.zip
%{_bindir}/mvn-jpp deploy:deploy-file -DgeneratePom=false -DgroupId=dom4j -DartifactId=dom4j -Dversion=%{namedversion} -Dclassifier=sources -Dpackaging=zip -Dfile=dom4j-dom4j-%{namedversion}-sources.zip
pushd %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
baddirs=`%{_bindir}/find -type d \( -name "[0-9]*" -and -not -name %{namedversion} \)`
for baddir in ${baddirs}; do
    badver=`/bin/basename ${baddir} | %{__sed} "s/\./\\\./g;"`
    %{__mv} ${baddir}/* `/bin/echo ${baddir} | %{__sed} "s/${badver}/%{namedversion}/g;"`/ && %{__rm} -r ${baddir}/
done
popd
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post jarjar
%update_maven_depmap

%postun jarjar
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files jarjar
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/%{name}-jarjar.jar
%{_javadir}/%{name}-jarjar-%{namedversion}.jar
%{_mavenpomdir}/JPP-%{name}-jarjar.pom
%{_mavendepmapfragdir}/%{name}-jarjar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{namedversion}

%files demo
%defattr(-,root,root,0755)
%{_datadir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Tue Apr 02 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-19
- set generatePom=false for zip

* Wed Mar 27 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-18
- create source zips in %%prep, not %%install
- fix deploy

* Wed Mar 27 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.6.1-17.redhat_5
- Remove dup pom in -redhat-4 location from repolib

* Wed Mar 27 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.6.1-16.redhat_5
- Fix Implementation-Version in MANIFEST (BZ#928068)

* Wed Feb 06 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-15.redhat_4
- Copy sources/patches to repolib
- Fix release tag

* Sun Oct 14 2012 Paul Gier <pgier@redhat.com> 0:1.6.1-14
- Minor pom patch fix

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-13
- fix OPT_JAR_LIST
- work around deploy bug

* Wed Sep 05 2012 Yong Yang <yyang@redhat.com> - 0:1.6.1-12.8_redhat_2.5
- Correct ant-junit path

* Tue Sep 04 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.1-12.8_redhat_2.5
- JBPAPP-9801 Remove invalid dependencies

* Fri Aug 17 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.1-12.8_redhat_2.4
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-11.8_redhat_2.4
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-11.8_redhat_1.3
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-11.8_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-11.8_redhat_1.1
- Rebuild using cache signing

* Mon Feb 13 2012 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.8
- remove Requires: jaxp
- add Requires: jpackage-utils

* Thu Dec 29 2011 Lin Gao <lgao@redhat.com> 0:1.6.1-11.7_redhat_1
- rebuild to use jboss-parent:8-redhat-1 in poms

* Thu Nov 17 2011 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.6_redhat_1
- work around repolib issue

* Sat Nov 12 2011 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.5_redhat_1
- rebuild for deploy bug

* Sat Nov 12 2011 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.4_redhat_1
- fix deploy of main jar

* Sat Nov 12 2011 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.3_redhat_1
- copy LICENSE.txt to jarjar package
- rebuild for deploy bug
- update dom4j-jarjar-build.xml

* Thu Nov 10 2011 David Walluck <dwalluck@redhat.com> 0:1.6.1-11.2_redhat_1
- fix file ownership
- remove gcj support
- fix mvn deploy
- fix build
- fix install
- fix maven depmaps
- fix Requires for demo and javadoc
- fix symlinks in prep
- update for latest ws-jaxme build
- fix install of manual
- fix version and define version for ant build
- remove explicit stax api requirement
- use separate depmaps

* Tue Mar 08 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.6.1-11.1
- Relax R: jaxp

* Thu Mar 03 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.6.1-10.4.7
- Update R: as some deps are indicated as optional or scope test in pom

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.6
- Combine dom4j-jarjar-repolib to dom4j-repolib

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.5
- Bump release number

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.4
- Rebuild for MEAD upload

* Mon Nov 22 2010 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.3
- Add dom4j-jarjar
- Use upload.sh

* Mon Nov 15 2010 Yong Yang <yyang@redhat.com> - 0:1.6.1-10.4.2
- Rebuild with maven 2.2.1
- Add BR maven2, maven-deploy-plugin
- Add mvn deploy script to repolib
- Fix source0

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.1-10.4.1
- Fix Release tag

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.1-10.3.1.1
- rebuilt

* Tue Apr 20 2010 Hui Wang <huwang@redhat.com> 0:1.6.1-10.3.1
- Rebuild generate signed jar

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:1.6.1-10.3
- use stax_1_0_api
- fix gcj_support and repolib options

* Mon Jul 20 2009 Martha Benitez <mbenitez@redhat.com> 1.6.1-10.2
- Add patch to include version in jar's manifest
- Correct component-info source in repolib

* Thu Jun 11 2009 Martha Benitez <mbenitez@redhat.com> 1.6.1-10.1
- Change jpackage-utils >= 0:1.7.4 to jpackage-utils >= 0:1.7.3
- Relax version requirement for jaxen

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.6.1-10
- Auto rebuild for JPackage 5 in mock

* Tue Sep 02 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-9
- fix dom4j and dom4j-jarjar component-info.xml files

* Fri Aug 21 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-8
- create dom4j-jar jar for use with jbossas
- add jdk6 patch from yyang
- GCJ fixes

* Fri Jun 27 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-7
- replace xml-commons-jaxp-1.2-apis with jaxp = 1.2 as Fedora workaround

* Thu May 29 2008 Permaine Cheung <pcheung@redhat.com> 0:1.6.1-6
- First JPP 5 build

* Mon Apr 14 2008 David Walluck <dwalluck@redhat.com> 0:1.6.1-2jpp.ep1.3
- patch for jdk 1.5 support by setting java.endorsed.dir
- explicitly build with xml-commons-jaxp-1.2-apis
- patch for dom4j bug #1618750
- add xalan-j2-serializer for build
- unset CLASSPATH and OPT_JAR_LIST
- remove javadoc scriptlets

* Wed Mar 05 2008 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-5jpp
- Build with java5 for java5
- Introduce endorsed dir compiler arg from build.xml in HEAD
- Add xalan-j2-serializer to tools lib
- Specify xml-apis as xml-commons-jaxp-1.1-apis
- Add pom and depmap frag
- Make Vendor, Distribution based on macro

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp.ep1.1
- Rebuild

* Thu Mar 08 2007 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp.el4ep1.3
- Make isorelax (JARV) optional
- Reactivate test that used to fail with xalan 2.6 and require xalan-j2 2.7
- Disable tested that passed with xalan 2.6 and now fails with xalan 2.7

* Wed Feb 21 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-4jpp
- Add bootstrap option to build against jaxen-bootstrap
- Drop org/dom4j/xpath/MatrixConcatTest.java: matrix-concat not
  available

* Mon Feb 19 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.el4ep1.2
- Add -brew suffix

* Fri Feb 16 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.6.1-2jpp.el4ep1.1
- Add repolib support

* Mon Feb 12 2007 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-3jpp
- Add gcj_support option

* Sun Feb 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-2jpp_1rh
- Merge with upstream
- Remove one of the tests until Xalan is upgraded (bug in 2.6)

* Mon Jan 30 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-2jpp
- Change STAX dependency to free bea-stax and bea-stax-api

* Wed Aug 17 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.6.1-1jpp
- Upgrade to 1.6.1
- Now requires xpp3 additionally to xpp2

* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> 0:1.5-1jpp_1rh
- First Red Hat build

* Thu Sep 09 2004 Ralph Apel <r.apel@r-apel.de> - 0:1.5-1jpp
- Upgrade to 1.5
- Drop saxpath requirement as this is now included in jaxen

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4-3jpp
- Upgrade to Ant 1.6.X
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4-2jpp
- Replace non-free msv with free relaxngDatatype xsdlib isorelax msv-strict
- Relax some versioned dependencies

* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> - 0:1.4-1jpp
- First JPackage release
